WorkCentre M24

WorkCentre M24 Support & Drivers

Supported Platforms: Mac OS X 10.5 or lower

Supported Languages: English (Global), English (N. America)

File Download: MacOS X 10.2.x M24 driver

Includes PostScript Printer Descriptions (PPD). Provides the ability to print to the WorkCentre Pro M24 using MAC OS 10.2.x. This driver is not for use with MAC OS 10.3.

Note: Please be sure that the PostScript Option Kit is installed on the WorkCentre M24 before using the PostScript (PS) driver.

Click "Start" to download

Start